/* OS-9 compatibility library for UNIX sources */
/*
 * by Dietmar Budelsky, 23-5-1992
 * budelsky@haegar.ikp.uni-koeln.de
 */
  
#include <time.h>
#include <sg_codes.h>
#include <sgstat.h>
#include <stdio.h>
#include <math.h>
#include "OS9comp.h"


int fputc(c, stream)
int c;
FILE *stream;
{
  return(putc(c,stream));
}


double cosh(x)
double x;
{
  double tmp;
  tmp = exp(x);
  return((tmp+(1/tmp))/2);
}


double sinh(x)
double x;
{
  double tmp;
  tmp = exp(x);
  return((tmp-(1/tmp))/2);
}


char *ctime(t)
time_t *t;
{
  return(asctime(localtime(t)));
}


