/* OS-9 compatibility file for unix sources
   Written first on 22-5-92 by Dietmar Budelsky
   budelsky@haegar.ikp.uni-koeln.de
*/

#ifndef __OS9comp__
#define __OS9comp__

#ifndef NULL
#define NULL ((char *)0)
#endif

#define EDOM    1023  /* No EDOM constant in OS-9    */

/* fputc undefined, define as putc */
int fputc();

/* new math functions, neccesary for running gnuplot */
double sinh(), cosh();


/* ctime is a function in UNIX, a macro in OS-9 */
#undef ctime
extern char *ctime();

#endif /* __OS9comp__ */

